from setuptools import setup,find_packages

INSTALL_REQUIRES = [
        'pycodestyle',
        'ipykernel',
        'ipykernel',
        'spyder-kernels',
        'cloudpickle',
        'openpyxl',
        'setuptools',
        'scipy',
        'matplotlib',
        'tsfresh',
        'hyperopt',
        'xgboost',
        'scikit-learn',
        'pandas>=0.24.0',
        'pandas-compat',
        'xmltodict',
        'sqlalchemy',
        'sqlparse',
        'pymysql',
        'xlrd',
        'pymongo',
        'jsonref', 
        'faker',
        'xeger',
        'simplejson',
        'mysql',
        'sqlalchemy-utils'
]


setup(name='cdplib',
      version='0.2',
      description='Libraries shared by cdp projects',
      url='https://intra.acdp.at/gogs/tanja/cdplib.git',
      author='Tatiana Zolotareva',
      author_email='tanja.zolotareva@acdp.at',
      install_requires=INSTALL_REQUIRES,
      license='MIT',
      packages=find_packages(),
      zip_safe=False,
      python_requieres = "3")
